Bug 1475726 - /usr/bin/pydocstyle missing from python2-pydocstyle, making package unusable
/usr/bin/pydocstyle missing from python2-pydocstyle, making package unusable
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-pydocstyle (Show other bugs)
26
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tadej Janež
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 04:44 EDT by Toon Verstraelen
Modified: 2018-05-29 08:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:55:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toon Verstraelen 2017-07-27 04:44:53 EDT
Description of problem:

Normally, this package should provide executable scripts:

/usr/bin/pydocstyle
/usr/bin/pydocstyle-2
/usr/bin/pydocstyle-2.7

These files are not installed. For comparison pycodestyle, which is closely related, provides the following scripts:

/usr/bin/pycodestyle
/usr/bin/pycodestyle-2
/usr/bin/pycodestyle-2.7



Version-Release number of selected component (if applicable): python2-pydocstyle-2.0.0-1.fc26.noarch


How reproducible: always.


Steps to Reproduce:
1. Install the package: dnf install python2-pydocstyle -y
2. Try to run the script: pydocstyle

Actual results:

bash: pydocstyle: command not found...
Install package 'python3-pydocstyle' to provide command 'pydocstyle'? [N/y] N

Expected results:

Check python files in current dir for docstyle issues.

Additional info:

The package python3-pydocstyle seems to provide the script but I don't need that one.
Comment 1 Fedora End Of Life 2018-05-03 04:38:30 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2018-05-29 08:55:28 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.